## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbReturnElement.JaxbReturnDiscriminator

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbReturnElement.JaxbReturnDiscriminator

Enclosing class:
  JaxbReturnElement

    public static class JaxbReturnElement.JaxbReturnDiscriminator

extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="column" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` `column`

Constructor Summary
`JaxbReturnElement.JaxbReturnDiscriminator()`

Method Summary
`String` `getColumn()` Gets the value of the column property.
`void` `setColumn(String value)` Sets the value of the column property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### column

    protected String column

Constructor Detail

### JaxbReturnElement.JaxbReturnDiscriminator

    public JaxbReturnElement.JaxbReturnDiscriminator()

Method Detail

### getColumn

    public String getColumn()

  Gets the value of the column property.

  Returns:
    possible object is `String`

### setColumn

    public void setColumn(String value)

  Sets the value of the column property.

  Parameters:
    `value` - allowed object is `String`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.